Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		enblend-enfuse
Version:	3.2
Release:	2
License:	GNU/GPLv2+
URL:		http://enblend.sourceforge.net/
Group:		Multimedia/Graphics
Summary:	Image Blending with Multiresolution Splines
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: freeglut-devel
BuildRequires: glew-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: lcms-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: OpenEXR-devel
BuildRequires: plotutils-devel
BuildRequires: zlib-devel

%description
Enblend is a tool for compositing images. Given a set of images that overlap in
some irregular way, Enblend overlays them in such a way that the seam between
the images is invisible, or at least very difficult to see. Enblend does not
line up the images for you. Use a tool like hugin to do that.

%pre

%preun

%post

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO VIGRA_LICENSE
%_bindir/enblend
%_bindir/enfuse
%_mandir/man1/enblend.1.gz
%_mandir/man1/enfuse.1.gz
%_infodir/*.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 22 2009 Christian Metzen <metzench@ccux-linux.de> 3.2-2
- rebuild against libjpeg-7
* Sun Jan 11 2009 Christian Wasem <wasem@ccux-linux.de> 3.2-1
- initial CCux package release
